<?php
namespace nur\sery\schema\types;

class tbool implements IType {
  static function ensure_bool(&$bool): void {
    if (!is_bool($bool)) $bool = boolval($bool);
  }

  static function ensure_nbool(&$bool): void {
    if ($bool !== null) self::ensure_bool($bool);
  }
}
